require("../../../../_virtual/_rolldown/runtime.js");
let _pisell_utils = require("@pisell/utils");
//#region src/components/ticketBooking/components/bookingDataPanel/constants.ts
const getPayStatusMap = () => {
	return {
		authorized: _pisell_utils.locales.getText("pisell2.ticket-booking.authorized"),
		paid: _pisell_utils.locales.getText("pisell2.ticket-booking.paid"),
		partially_paid: _pisell_utils.locales.getText("pisell2.ticket-booking.partially-paid"),
		partially_refunded: _pisell_utils.locales.getText("pisell2.ticket-booking.partially-refunded"),
		payment_pending: _pisell_utils.locales.getText("pisell2.ticket-booking.payment-pending"),
		refunded: _pisell_utils.locales.getText("pisell2.ticket-booking.refunded"),
		unpaid: _pisell_utils.locales.getText("pisell2.ticket-booking.unpaid"),
		voided: _pisell_utils.locales.getText("pisell2.ticket-booking.voided"),
		payment_processing: _pisell_utils.locales.getText("pisell2.ticket-booking.pending")
	};
};
const payStatusColorMap = {
	authorized: "var(--Gray-200, #EAECF0)",
	paid: "var(--Success-100, #DCFAE6)",
	partially_paid: "var(--Moss-100, #E6F4D7)",
	partially_refunded: "var(--Pink-100, #FCE7F6)",
	payment_pending: "var(--Warning-100, #FEF0C7)",
	refunded: "var(--Error-100, #FEE4E2)",
	unpaid: "var(--Blue-100, #D1E9FF)",
	voided: "var(--Gray-200, #EAECF0)",
	payment_processing: "var(--Warning-100, #FEF0C7)"
};
//#endregion
exports.getPayStatusMap = getPayStatusMap;
exports.payStatusColorMap = payStatusColorMap;
